Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class Win32ControlPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ControlPlugin
              org.hyperic.hq.product.Win32ControlPlugin

    public class Win32ControlPlugin

extends ControlPlugin

Base class for control plugins.

Field Summary
`protected String` | `installPrefix`
`protected org.apache.commons.logging.Log` | `log`
`static String` | `PROP_SERVICENAME`
`protected String` | `serviceName`
`protected org.hyperic.sigar.win32.Service` | `svc`

Fields inherited from class org.hyperic.hq.product.ControlPlugin
`DEFAULT_TIMEOUT, manager, PROP_TIMEOUT, RESULT_FAILURE, RESULT_SUCCESS, STATE_RESTARTING, STATE_STARTED, STATE_STARTING, STATE_STOPPED, STATE_STOPPING, STATE_UNKNOWN`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`Win32ControlPlugin()`

Method Summary
`void` | `configure(org.hyperic.util.config.ConfigResponse config)`
`protected String` | `detectState(org.hyperic.sigar.win32.Service service)`
`void` | `doAction(String action)`
`List` | `getActions()`
`String` | `getInstallPrefix()`
`protected org.apache.commons.logging.Log` | `getLog()` Wrapper for LogFactory.getLog which uses the name returned by getLogName().
`String` | `getServiceName()`
`protected boolean` | `isRunning()`
`protected boolean` | `isRunning(org.hyperic.sigar.win32.Service service)`
`protected boolean` | `isServiceRequired()`
`void` | `setInstallPrefix(String val)`
`void` | `setServiceName(String val)`
`protected String` | `waitForState(String wantedState)`

Methods inherited from class org.hyperic.hq.product.ControlPlugin
`detectState, doAction, doAction, doAction, getConfigSchema, getManager, getMessage, getResult, getTimeout, getTimeoutMillis, init, setExceptionMessage, setManager, setMessage, setResult, setTimeout, setTimeout`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SERVICENAME

    public static final String PROP_SERVICENAME

See Also:
  Constant Field Values

### log

    protected org.apache.commons.logging.Log log

### serviceName

    protected String serviceName

### installPrefix

    protected String installPrefix

### svc

    protected org.hyperic.sigar.win32.Service svc

Constructor Detail

### Win32ControlPlugin

    public Win32ControlPlugin()

Method Detail

### getLog

    protected org.apache.commons.logging.Log getLog()

  Description copied from class: `GenericPlugin`
  Wrapper for LogFactory.getLog which uses the name returned by getLogName().

  Overrides:
    `getLog` in class `GenericPlugin`

### getServiceName

    public String getServiceName()

### setServiceName

    public void setServiceName(String val)

### isServiceRequired

    protected boolean isServiceRequired()

### getInstallPrefix

    public String getInstallPrefix()

### setInstallPrefix

    public void setInstallPrefix(String val)

### configure

    public void configure(org.hyperic.util.config.ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `GenericPlugin`
  Throws:
    `PluginException`

### isRunning

    protected boolean isRunning()

  Overrides:
    `isRunning` in class `ControlPlugin`

### isRunning

    protected boolean isRunning(org.hyperic.sigar.win32.Service service)

### detectState

    protected String detectState(org.hyperic.sigar.win32.Service service)

### waitForState

    protected String waitForState(String wantedState)

  Overrides:
    `waitForState` in class `ControlPlugin`

### getActions

    public List getActions()

  Overrides:
    `getActions` in class `ControlPlugin`

### doAction

    public void doAction(String action)
                  throws PluginException

  Overrides:
    `doAction` in class `ControlPlugin`
  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.